"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findFirstKind = exports.findFirstDeployName = exports.findFirstNamespace = exports.findFirstValue = void 0;
var shell_1 = require("../utils/shell");
function findFirstValue(file, key) {
    // ignore space
    var value = shell_1.execSync("grep '[^S]*" + key + ":' " + file + " | head -n 1");
    console.log("path:" + file + " key:" + key + " value:" + value);
    value = value.replace(" ", "");
    return value.split(":")[1];
}
exports.findFirstValue = findFirstValue;
function findFirstNamespace(yml) {
    return findFirstValue(yml, "namespace");
}
exports.findFirstNamespace = findFirstNamespace;
function findFirstDeployName(yml) {
    // warning
    findFirstKind(yml);
    return findFirstValue(yml, "name");
}
exports.findFirstDeployName = findFirstDeployName;
function findFirstKind(yml) {
    var kind = findFirstValue(yml, "kind").toLowerCase();
    if (!["deployment", "statefulset", "job"].includes(kind)) {
        console.error(kind + " is not support");
        process.exit(111);
    }
    return kind;
}
exports.findFirstKind = findFirstKind;
